GRIB_SET(1)

NAME
grib_set

DESCRIPTION
Sets key/value pairs in the input grib file and writes each message to the output_grib_file. It fails when an error occurs (e.g. key not found).

USAGE
grib_set [options] grib_file grib_file ... output_grib_file

OPTIONS

-s key[:{s/d/l}]=value,key[:{s/d/l}]=value,...
    Key/values to set. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be defined. By default the native type is set.

-r 	Repack data. Sometimes after setting some keys involving properties
    of the packing algorithm a repacking of data is needed. This repacking is performed setting this -r option.

-d value
    Set all the data values to "value".

-p key[:{s/d/l}],key[:{s/d/l}],...
    Declaration of keys to print. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be requested. Default type is string.

-P key[:{s/d/l}],key[:{s/d/l}],...
    As -p adding the declared keys to the default list.

-w key[:{s/d/l}]{=/!=}value,key[:{s/d/l}]=value,...
    Where clause. Set is only executed for grib messages matching all the key/value constraints. If a grib message does not match the constraints it is copied unchanged to the output_grib_file. This behaviour can be changed setting the option -S. A valid constraint is of type key=value or key!=value. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be defined. Default type is string.

-7 	Does not fail when the message has wrong length

-S 	Strict. Only grib messages matching all the constraints are copied to
    the output file

-V 	Version.

-M 	Multi-field support off. Turn off support for multiple fields in single grib message.

-g 	Copy GTS header.

-G 	GRIBEX compatibility mode.

-T T | B | A	Message type. T->GTS, B->BUFR, A->Any (Experimental).
    The input file is interpreted according to the message type.

-f 	Force. Force the execution not to fail on error.

-v 	Verbose.

AUTHOR
This manpage has been autogenerated by Enrico Zini <enrico@debian.org>from the command line help of grib_set.